remove some wrong depends/defaults
[openwrt/svn-archive/archive.git] / toolchain / uClibc / Config.in
1 # Choose uclibc version.
2
3 choice
4 prompt "uClibc Version" if TOOLCHAINOPTS
5 default UCLIBC_VERSION_0_9_29
6 help
7 Select the version of uClibc you wish to use.
8 Default for kernel 2.6 is 0.9.29, for kernel 2.4 it is 0.9.28 .
9
10 config UCLIBC_VERSION_SNAPSHOT
11 bool "uClibc snapshot"
12
13 config UCLIBC_VERSION_0_9_28
14 bool "uClibc 0.9.28"
15
16 config UCLIBC_VERSION_0_9_29
17 bool "uClibc 0.9.29"
18
19 endchoice
20
21 config UCLIBC_EXTRA_VERSION
22 string
23 prompt "Extra uClibc version" if TOOLCHAINOPTS
24 default "snapshot" if UCLIBC_VERSION_SNAPSHOT
25 default ".2" if UCLIBC_VERSION_0_9_28
26 default ""
27 help
28 Default for version 0.9.28 is ".02", for daily snapshot it's just "snapshot"
29 For all other versions the default string is empty.